<template>
  <div class="flex items-center mb-4">

    <slot name="delete"></slot>
    <div class='flex py-2 px-4 w-full bg-gray-500 justify-between rounded relative'>
      <slot name="image"></slot>
      <div class="flex flex-col w-full py-2 justify-between">
        <slot name="name"></slot>
        <div class="py-4 grid grid-cols-2">
          <slot name="chapters"></slot>
        </div>
        <div class="flex w-full gap-2">
          <slot name="currentChapter"></slot>
        </div>
      </div>
      <div class="hidden flex-col py-2 lg:flex">
        <slot name="icons"></slot>
      </div>
    </div>
    <slot name="favourite"></slot>
  </div>
</template>